\documentclass[100pt]{amsart}

\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage[utf8]{inputenc}

\theoremstyle{plain}
\newtheorem{theorem}{Theorem}

\begin{document}

  \begin{theorem}[Euclid]
    The equation $1 + 1 = 3$ is false.
  \end{theorem}
  \begin{proof}
    Suppose it is true. Then
    \begin{align*}
      \tag{Original assumption} 1 + 1 &= 3 \\
      2 &= 3 \tag{the Stone-Čech compactification}\\
      0 &= 1 \tag{Subtracting $2$ from each side, using the definition of subtraction as described in the classic ``Principia''}
    \end{align*}
    A contradiction!
  \end{proof}

\end{document}
